Public Class balloon
    Dim rc As New RenderController
    Dim returnans As Integer = 3 '-1 means cancel, 0 means no and 1 means yes, 3 means Waiting for new answer
    Private Sub balloon_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.BackgroundImage = rc.LoadBitMap("balloontalk")
        Me.Left = ghost.Left - Me.Width + CInt(ReadConfig("sakura.balloon.offsetx"))
        Me.Top = ghost.Top - Me.Height + CInt(ReadConfig("sakura.balloon.offsety"))
    End Sub
    Public Function ReadConfig(item As String)
        Dim arc As New ArConfig
        Dim al As String = Application.StartupPath & "\config\"
        Return arc.ReadConfig(al, item).ToString.Trim
    End Function

    Public Function DisplayText(StringToDisplay As String)
        Me.Show()
        Dim answer As Integer = -1
        Timer1.Enabled = False

        Timer1.Enabled = False
            Label1.Text = StringToDisplay
            Timer1.Enabled = True
            Return Nothing

    End Function

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        Timer1.Enabled = False
        Me.Close()

    End Sub

    Private Sub Label1_DoubleClick(sender As Object, e As EventArgs) Handles Label1.DoubleClick
        Me.Hide()
    End Sub
End Class